package com.njcn.pojo.excelBody;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.metadata.BaseRowModel;

import javax.persistence.Column;
import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * @author hongawen
 * @Date: 2018/11/8 14:49
 */
public class DeviceExcelBody extends BaseRowModel implements Serializable {

    @Column(name = "DEV_INDEX")
    @ExcelProperty(value = "装置序号" ,index = 0)
    private BigDecimal devIndex;

    @Column(name = "GD_INDEX")
    @ExcelProperty(value = "供电公司序号" ,index = 1)
    private BigDecimal gdIndex;

    @Column(name = "SUB_INDEX")
    @ExcelProperty(value = "变电站序号" ,index = 2)
    private BigDecimal subIndex;

    @Column(name = "NAME")
    @ExcelProperty(value = "装置名称" ,index = 3)
    private String name;

    @Column(name = "STATUS")
    @ExcelProperty(value = "装置通讯状态" ,index = 4)
    private BigDecimal status;

    // 终端型号
    @Column(name = "DEVTYPE")
    @ExcelProperty(value = "装置型号" ,index = 5)
    private String devType;

    @Column(name = "IP")
    @ExcelProperty(value = "装置IP" ,index = 6)
    private String ip;

    @Column(name="LOGONTIME")
    @ExcelProperty(value = "登录时间" ,index = 7)
    private String logonTime;

    @Column(name="UPDATETIME")
    @ExcelProperty(value = "数据更新时间" ,index = 8)
    private String updateTime;

    //召唤标志
    @Column(name="CALLFLAG")
    @ExcelProperty(value = "已召唤标识" ,index = 9)
    private BigDecimal callFlag;

    //服务器表序号
    @Column(name="NODE_INDEX")
    @ExcelProperty(value = "服务器表序号" ,index = 10)
    private BigDecimal nodeIndex;

    @Column(name="PORTID")
    @ExcelProperty(value = "端口ID" ,index = 11)
    private BigDecimal portId;

    @Column(name="DEVFLAG")
    @ExcelProperty(value = "装置状态" ,index = 12)
    private BigDecimal devFlag;

    @Column(name="Dev_Series")
    @ExcelProperty(value = "装置识别码" ,index = 13)
    private String devSeries;

    @Column(name="Dev_Key")
    @ExcelProperty(value = "装置秘钥" ,index = 14)
    private String devKey;

    @Column(name="DEVMODEL")
    @ExcelProperty(value = "装置模型" ,index = 15)
    private BigDecimal devmodel;

    @Column(name="DATATYPE")
    @ExcelProperty(value = "数据类型" ,index = 16)
    private BigDecimal datatype;


    public BigDecimal getDevIndex() {
        return devIndex;
    }

    public void setDevIndex(BigDecimal devIndex) {
        this.devIndex = devIndex;
    }

    public BigDecimal getGdIndex() {
        return gdIndex;
    }

    public void setGdIndex(BigDecimal gdIndex) {
        this.gdIndex = gdIndex;
    }

    public BigDecimal getSubIndex() {
        return subIndex;
    }

    public void setSubIndex(BigDecimal subIndex) {
        this.subIndex = subIndex;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public BigDecimal getStatus() {
        return status;
    }

    public void setStatus(BigDecimal status) {
        this.status = status;
    }

    public String getDevType() {
        return devType;
    }

    public void setDevType(String devType) {
        this.devType = devType;
    }

    public String getIp() {
        return ip;
    }

    public void setIp(String ip) {
        this.ip = ip;
    }

    public String getLogonTime() {
        return logonTime;
    }

    public void setLogonTime(String logonTime) {
        this.logonTime = logonTime;
    }

    public String getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(String updateTime) {
        this.updateTime = updateTime;
    }

    public BigDecimal getCallFlag() {
        return callFlag;
    }

    public void setCallFlag(BigDecimal callFlag) {
        this.callFlag = callFlag;
    }

    public BigDecimal getNodeIndex() {
        return nodeIndex;
    }

    public void setNodeIndex(BigDecimal nodeIndex) {
        this.nodeIndex = nodeIndex;
    }

    public BigDecimal getPortId() {
        return portId;
    }

    public void setPortId(BigDecimal portId) {
        this.portId = portId;
    }

    public BigDecimal getDevFlag() {
        return devFlag;
    }

    public void setDevFlag(BigDecimal devFlag) {
        this.devFlag = devFlag;
    }

    public BigDecimal getDevmodel() {
        return devmodel;
    }

    public void setDevmodel(BigDecimal devmodel) {
        this.devmodel = devmodel;
    }

    public BigDecimal getDatatype() {
        return datatype;
    }

    public void setDatatype(BigDecimal datatype) {
        this.datatype = datatype;
    }

    public String getDevSeries() {
        return devSeries;
    }

    public void setDevSeries(String devSeries) {
        this.devSeries = devSeries;
    }

    public String getDevKey() {
        return devKey;
    }

    public void setDevKey(String devKey) {
        this.devKey = devKey;
    }

    @Override
    public String toString() {
        return "DeviceExcelBody{" +
                "devIndex=" + devIndex +
                ", gdIndex=" + gdIndex +
                ", subIndex=" + subIndex +
                ", name='" + name + '\'' +
                ", status=" + status +
                ", devType='" + devType + '\'' +
                ", ip='" + ip + '\'' +
                ", logonTime='" + logonTime + '\'' +
                ", updateTime='" + updateTime + '\'' +
                ", callFlag=" + callFlag +
                ", nodeIndex=" + nodeIndex +
                ", portId=" + portId +
                ", devFlag=" + devFlag +
                ", devSeries='" + devSeries + '\'' +
                ", devKey='" + devKey + '\'' +
                ", devmodel=" + devmodel +
                ", datatype=" + datatype +
                '}';
    }
}
